Loading...
Searching...
No Matches
adler32.h File Reference
libavutil » Crypto and Hashing » Hash Functions » Adler-32

Public header for Adler-32 hash function implementation. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Typedefs

typedef uint32_t | AVAdler

## Functions

AVAdler | av_adler32_update (AVAdler adler, const uint8_t *buf, size_t len) av_pure
| Calculate the Adler32 checksum of a buffer.

## Detailed Description

Public header for Adler-32 hash function implementation.

Definition in file adler32.h.